Experiences
POST /experiences/archived-status
Resolve the live (non-archived) subset of a set of experiences
POST
/
experiences
/
archived-status
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/experiences/archived-status \
--header 'Content-Type: application/json' \
--data '
{
"experienceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({experienceIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://consumer.fanfare.io/api/experiences/archived-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/experiences/archived-status"
payload = { "experienceIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/experiences/archived-status"
payload := strings.NewReader("{\n \"experienceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"liveExperienceIds": [
"<string>"
]
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/experiences/archived-status \
--header 'Content-Type: application/json' \
--data '
{
"experienceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({experienceIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://consumer.fanfare.io/api/experiences/archived-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/experiences/archived-status"
payload = { "experienceIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/experiences/archived-status"
payload := strings.NewReader("{\n \"experienceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"liveExperienceIds": [
"<string>"
]
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}